<?php
/**
 * IN句を指定できるDoctrine DBAL
 */
require 'vendor/autoload.php';

$config = new \Doctrine\DBAL\Configuration();
$connectionParams = [
    'url' => 'mysql://demo:demo@127.0.0.1/demo',
];
$conn =
  \Doctrine\DBAL\DriverManager::getConnection(
    $connectionParams, $config
  );
$sth = $conn->executeQuery(<<<'SQL'
  SELECT * FROM prefecture 
  WHERE region_id = :region_id AND id IN (:id)
SQL,
    [':region_id' => 6, ':id' => [33, 34, 35]],
    [
  ':region_id' => PDO::PARAM_INT, 
  ':id' => \Doctrine\DBAL\Connection::PARAM_INT_ARRAY
 ]
);

$sth->debugDumpParams();

print_r($sth->fetchAll());
