<?php
/**
 * エラー時は例外を投げる設定にする
 */
$dsn = 'mysql:dbname=demo;host=127.0.0.1';
$user = 'demo';
$password = 'demo';

try {
    $dbh = new PDO($dsn, $user, $password);
    $dbh->setAttribute(PDO::ATTR_ERRMODE, 
	                   PDO::ERRMODE_EXCEPTION);
    foreach($dbh->query('SELECT * FROM prefecture') as $row) {
        print_r($row);
    }
} catch (PDOException $e) {
    echo 'Error!';
}